Bug 234196 - CVE-2007-0240 Conga includes version of Zope that is vulnerable to a XSS attack
CVE-2007-0240 Conga includes version of Zope that is vulnerable to a XSS attack
Status: CLOSED CURRENTRELEASE
Product: Red Hat Cluster Suite
Classification: Red Hat
Component: conga (Show other bugs)
4
All Linux
low Severity low
: ---
: ---
Assigned To: Ryan McCabe
Cluster QE
http://www.zope.org/Products/Zope/Hot...
source=debian,reported=20070321,publi...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-03-27 13:09 EDT by Ryan McCabe
Modified: 2009-04-16 16:36 EDT (History)
6 users (show)

See Also:
Fixed In Version: 4.5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-09 18:20:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ryan McCabe 2007-03-27 13:09:40 EDT
+++ This bug was initially created as a clone of Bug #233326 +++

Description of problem:

Hotfix was issued for Zope that corrects a Cross-Site scripting
vulnerability. Conga package includes Zope.

Version-Release number of selected component (if applicable):

As per the upstream announcement:
* Zope 2.8.0 - 2.8.8
* Zope 2.9.0 - 2.9.6
* Zope 2.10.0 - 2.10.2
* Earlier versions of Zope 2

Additional info:

http://www.zope.org/Products/Zope/Hotfix-2007-03-20/Hotfix-20070320
I am not sure how this affects conga, nor how is it exploitable.

-- Additional comment from lkundrak@redhat.com on 2007-03-22 13:22 EST --
Stanko: Please could you help me decide about impact of this?

-- Additional comment from jparsons@redhat.com on 2007-03-23 15:22 EST --
Hi Lubomir,
                                                                               
 We have had the hot fix pulled down for a day or so now, and we have been
dissecting it.
                                                                                
The hot fix for Zope mentioned addresses some internal admin functionality
within the Zope code. While we have chosen to remove much of this functionality
in the package we are shipping - parts of zope that we ship is still vulnerable
to the issue that the hot fix solves - but: we do not allow access to those mgmt
functions in Conga. We have all zope mgmt URLs set to disallow all. The only
part of our app that calls into those methods is in our homebase tab - and we
use exclusively POST forms there. Still, as a precaution we are testing it now,
and intend to add it to what we are shipping in an async errata for RHEL5 (out
in 3 - 4 weeks, we plan) as well as being in the RHEL4.5 version of our application.

Here is a link with more information about the problem that we found:
http://www.frsirt.com/english/advisories/2007/1041

-- Additional comment from rmccabe@redhat.com on 2007-03-26 22:15 EST --
All trees have been updated to use versions of Zope with this fix included.

Note You need to log in before you can comment on or make changes to this bug.